// Simple class implementing a (synchronized) clock.
// Add the necessary extensions for enabling a clock synchronization!
//
public class SynchronizedClock
{
	//!
	private long adjustment; // Correction term for system time
	//#

	// Constructor
	public SynchronizedClock() {
		//!
		adjustment = 0;
		//#
	}
	
	// Returns the current time in nano-seconds
	public long getTime()
	{
		return SystemClock.getTime() /*!*/ + adjustment /*#*/;
	}

	//!
	// Adjusts the time by 'adj' ns in positive or negative direction.
	public void adjustTime(long adj)
	{
		adjustment += adj;
	}
	//#
}
