import java.rmi.*;

// This client sends a number of work orders to server 0.
// The number of tasks can be passed as a command line argument.
//
public class Client
{
	public static void main(String args[])
	{
		int n = 1;
		MessageReceiver w;

		// If a command line argument is present: use its value
		if (args.length >= 1)
			n = Integer.parseInt(args[0]);

		try {
			w = (MessageReceiver)Naming.lookup("rmi://localhost/Server0");
			// Send n work requests to server 0
			// Sender -1 denotes the client.
			for (int i=0; i<n; i++)
				w.enqueueMessage("Task " + i, -1);
		}
		catch (Exception e) {
			System.out.println("Client: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

